function [beta_est,fail] = EstimateBetaML(Sb,Var)

[p,n] = size(Sb);

tol = 100 * ones(p^2 + 1, 1);
NMaxIter = 100;
b = 1; % init value

if ~exist('Var','var')
    Var = cov(Sb.');
end

NIter = 0;
eta=1;
fail = 0;
while (any(tol > 0.1))  % Repeat until tolerance is under 1 percent for every parameter (or NIter >= 100).
    NIter = NIter + 1;
    if NIter==NMaxIter
        fail = 1;
        break;
    end
    %eta = 2 .^ (1./b) .* gamma((p+1) ./ b) ./ gamma(p ./b) / 2 / p; % Co <-> Sigma factor
    V = Var / eta;
    S = dot(Sb,V\Sb);
    
    b_new = Newton_Raphson(b, S, p, n);
    
    
    tol = 100 * abs((b_new - b)/b);  % Relative change in percent
    b = b_new;
    
end

beta_est = b;

return;