function Ca = MatrixBivariateToAugmented(Cb)

% convert bivariate to augmented
%
l = length(Cb(:,1)) / 2;

T = [eye(l) 1j*eye(l); eye(l) -1j*eye(l)];

M11 = Cb(1:l, 1:l);
M12 = Cb(1:l, l+1:end);
M21 = Cb(l+1:end, 1:l);
M22 = Cb(l+1:end, l+1:end);

M = [M11 M12; M21 M22];
Ca = T * Cb * T' / 2;

end