% GENERATE_MGGD
% Cette fonction permet de gnrer des chantillons selon une loi
% Multivariate Generalized Gaussian.
% paramtres d'entre :
%   - N : nombre de ralisations
%   - p : dimension
%   - Sigma : matrice de covariance de taille pxp.
%   - beta : paramtre 'beta' de la loi de tau.
% paramtre de sortie :
%   - X : image de taille pxN contenant les ralisations de la MGGD

function X = generate_MGGD(N, p, Sigma, beta)

X = transpose(RandSphere(N,p));

X = (Sigma)^(0.5)*X;

% tau = zeros(p,N);
% for i = 1:p
%     for j = 1:N
%         tau(i,j) = (gamrnd(p/(2*beta),2,1,1)).^(1/(2*beta));
%     end
% end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Acceptance-Rejection Method

% f = @(x)(3/(gamma( + (p/2*beta))*2^(p/(2*beta)))).*x.^(p-1).*exp((-0.5).*(x.^(2*beta)));
% g = @(x)(3/(gamma(p + (p/2*beta))*2^(p/(2*beta)))).*2.*x.^(p-1).*exp((-0.5).*(x.^(2*beta)));
% grnd = @()exprnd(1);
% R = accrejrnd(f,g,grnd,2,N,1);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
tau = (gamrnd(p/(2*beta),2,1,N)).^(1/(2*beta));
tau = repmat(tau, p, 1);

%R=repmat(R', p, 1);
X = tau.*X;
